Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888688 - infiniband: should show udi or pci id information
Summary: infiniband: should show udi or pci id information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Retired
Component: Test Suite (tests)
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Caspar Zhang
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 09:05 UTC by QinXie
Modified: 2013-07-03 07:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: INFINIBAND test now display extra udev information in test output and hardware.log, including all network interface info. Reason: Result (if any):
Clone Of:
Environment:
Last Closed: 2013-02-01 18:21:48 UTC


Attachments (Terms of Use)
infiniband: log hardware udev info (1.96 KB, patch)
2013-01-05 10:13 UTC, Caspar Zhang
czhang: review? (gnichols)
Details | Diff
deviceclassdocument.py patch to add IB devices to the network device class (925 bytes, patch)
2013-01-11 16:37 UTC, Greg Nichols
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0222 0 normal SHIPPED_LIVE v7 bug fix and enhancement update 2013-02-01 23:18:53 UTC

Description QinXie 2012-12-19 09:05:27 UTC
reviewer need udi or pci id info to recognize model of tested device, so please add udi or pci id or model name into test output

Comment 1 QinXie 2012-12-19 09:06:58 UTC
this requirement is based on v7-1.6.4
example please refer to http://hwcert.pad.engineering.redhat.com/54

Comment 4 Caspar Zhang 2013-01-05 10:13:32 UTC
Created attachment 672813 [details]
infiniband: log hardware udev info

patch to add hardware info from udev.

sample output:

Test Parameters: DEBUG=low RUNMODE=normal UDI=/devices/pci0000:00/0000:00:07.0/0000:0d:00.0 DEVICE= OUTPUTFILE=/var/log/v7/runs/3/infiniband/output.log 

Subtest: Log Hardware Info - log hardware info from udev

udev device: /devices/pci0000:00/0000:00:07.0/0000:0d:00.0
------------------------------------------------------
SUBSYSTEM pci
PCI_CLASS C0600
DEVPATH /devices/pci0000:00/0000:00:07.0/0000:0d:00.0
MODALIAS pci:v000015B3d00006732sv000015B3sd00000005bc0Csc06i00
UDEV_LOG 3
PCI_SUBSYS_ID 15B3:0005
DRIVER mlx4_core
PCI_ID 15B3:6732
info.udi /devices/pci0000:00/0000:00:07.0/0000:0d:00.0
PCI_SLOT_NAME 0000:0d:00.0


PASS

Subtest: Log Status - log infiniband status
Infiniband device 'mlx4_0' port 1 status:
	default gid:	 fe80:0000:0000:0000:0002:c903:0002:c44c
	base lid:	 0x0
	sm lid:		 0x0

...[snip]...

Comment 5 Greg Nichols 2013-01-11 16:37:24 UTC
Created attachment 676987 [details]
deviceclassdocument.py patch to add IB devices to the network device class

That way, it will show up in the device/hardware log for the test also.

Comment 10 errata-xmlrpc 2013-02-01 18:21:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0222.html


Note You need to log in before you can comment on or make changes to this bug.